# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_ObjectParameter Class Reference

This inherited class from Parameter describes all
the parameters, which are characterized by an
object value.
.

`#include <Dynamic_ObjectParameter.hxx>`

Inheritance diagram for Dynamic_ObjectParameter:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_ObjectParameter (const Standard_CString aparameter)
| Creates an ObjectParameter with <aparameter> as name. .
Standard_EXPORT | Dynamic_ObjectParameter (const Standard_CString aparameter, const Handle(Standard_Transient)&anobject)
| With the name of the Parameter <aparameter> and the object <anobject>, creates an instance of ObjectParameter. .
Standard_EXPORT Handle_Standard_Transient | Value () const
| Returns the value of the parameter which is an object. .
Standard_EXPORT void | Value (const Handle(Standard_Transient)&anobject)
| Sets the object <anobject> in <me>. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | theobject

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_ObjectParameter::Dynamic_ObjectParameter | ( | const Standard_CString | aparameter | ) |

Standard_EXPORT Dynamic_ObjectParameter::Dynamic_ObjectParameter | ( | const Standard_CString | aparameter,
|  | const Handle(Standard_Transient)& | anobject
| ) |

## Member Function Documentation

virtual Standard_EXPORT void Dynamic_ObjectParameter::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented from Dynamic_Parameter.

Standard_EXPORT const Dynamic_ObjectParameter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_Parameter.

Standard_EXPORT void Dynamic_ObjectParameter::Value | ( | const Handle(Standard_Transient)& | anobject | ) |

Standard_EXPORT Handle_Standard_Transient Dynamic_ObjectParameter::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Transient Dynamic_ObjectParameter::theobject `[private]`

The documentation for this class was generated from the following file:

- Dynamic_ObjectParameter.hxx